/*
 * Copyright 2013 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.springframework.hateoas.sample.core;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * Customer domain class.
 * 
 * @author Oliver Gierke
 */
@Getter
@RequiredArgsConstructor
@EqualsAndHashCode(of = "id")
public class Customer {

	private final Long id;
	private final String firstname, lastname;

	/**
	 * Returns whether the {@link Customer} has the given id.
	 * 
	 * @param id
	 * @return
	 */
	public boolean hasId(Long id) {

		return this.id.equals(id);
	}
}
